Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.net
Class ConnectionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--weblogic.security.net.ConnectionEvent

public final class ConnectionEvent
extends java.util.EventObject

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConnectionEvent(java.net.InetAddress remAddr, int remPort, java.net.InetAddress localAddr, int localPort, java.lang.String protocol)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.net.InetAddress` | `getLocalAddress()`
`int` | `getLocalPort()`
`java.lang.String` | `getProtocol()`
`java.net.InetAddress` | `getRemoteAddress()`
`int` | `getRemotePort()`
`int` | `hashCode()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionEvent

    public ConnectionEvent(java.net.InetAddress remAddr,
                           int remPort,
                           java.net.InetAddress localAddr,
                           int localPort,
                           java.lang.String protocol)

Method Detail

### getRemoteAddress

    public java.net.InetAddress getRemoteAddress()

### getRemotePort

    public int getRemotePort()

### getLocalAddress

    public java.net.InetAddress getLocalAddress()

### getLocalPort

    public int getLocalPort()

### getProtocol

    public java.lang.String getProtocol()

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference